Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.powerassert
[Java] Class ValueRecorder

    java.lang.Object
      org.codehaus.groovy.runtime.powerassert.ValueRecorder

    public class ValueRecorder
    extends java.lang.Object

Records values produced during evaluation of an assertion statement's truth expression.

Authors:
  Peter Niederwieser

Method Summary
`void` | `clear()`
`java.util.List` | `getValues()`
`java.lang.Object` | `record(java.lang.Object value, int anchor)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### clear

    public void clear()

### getValues

    public java.util.List getValues()

### record

    public java.lang.Object record(java.lang.Object value, int anchor)

Groovy Documentation